<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\RavensbergHalle\HonorarPdf;

class HonorarAbrechnungDialogPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getViewModel()
  {
    $result = new HonorarAbrechnungDialogViewModel();
    $result->kurs = $this->useCaseResponse->kurs;
    $result->dozent = $this->useCaseResponse->dozent;
    $result->rechnungsnummer = $this->useCaseResponse->rechnungsnummer ?? '';
    $result->kurstage = $this->useCaseResponse->kurstage;
    $result->bemerkungen = $this->useCaseResponse->bemerkungen;
    $result->fahrkostenkm = $this->useCaseResponse->fahrkostenkm;
    $result->fahrkostenprokm = $this->useCaseResponse->fahrkostenprokm;
    $result->fahrkostentage = $this->useCaseResponse->fahrkostentage;
    $result->verguetungen = $this->useCaseResponse->verguetungen;

    return $result;
  }

  protected function getView()
  {
    return new HonorarAbrechnungDialogView($this->getViewModel());
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array_merge(parent::getJsFilesSrcAryWeitere(), array(
      $this->getJsFileFromSys('honorarabrechnung_ravensberg_halle.js')
    ));
  }

  protected function getCssFilesSrcAry(): array
  {
    return array_merge(parent::getCssFilesSrcAry(), array(
      $this->getCssLinkFromSys('honorarabrechnung_ravensberg_halle.css')
    ));
  }
}